//! 2D graphics module: sprites, text, shapes..

extern crate csfml_graphics_sys;

pub use self::blend_mode::BlendMode;
pub use self::circle_shape::CircleShape;
pub use self::color::Color;
pub use self::convex_shape::{ConvexShape, ConvexShapePoints};
pub use self::custom_shape::{CustomShape, CustomShapePoints};
pub use self::drawable::Drawable;
pub use self::font::{Font, Info as FontInfo};
pub use self::glyph::Glyph;
pub use self::image::Image;
pub use self::primitive_type::PrimitiveType;
pub use self::rect::{FloatRect, IntRect, Rect};
pub use self::rectangle_shape::RectangleShape;
pub use self::render_states::RenderStates;
pub use self::render_target::RenderTarget;
pub use self::render_texture::RenderTexture;
pub use self::render_window::RenderWindow;
pub use self::shader::Shader;
pub use self::shape::Shape;
pub use self::sprite::Sprite;
pub use self::text::Text;
pub use self::text_style::TextStyle;
pub use self::texture::Texture;
pub use self::transform::Transform;
pub use self::transformable::Transformable;
pub use self::vertex::Vertex;
pub use self::vertex_array::{VertexArray, Vertices};
pub use self::view::View;

pub mod blend_mode;
mod circle_shape;
mod color;
mod convex_shape;
mod custom_shape;
mod drawable;
mod font;
pub mod glsl;
mod glyph;
mod image;
mod primitive_type;
mod rect;
mod rectangle_shape;
mod render_states;
mod render_target;
mod render_texture;
mod render_window;
mod shader;
mod shape;
mod sprite;
mod text;
mod text_style;
mod texture;
mod transform;
mod transformable;
mod vertex;
mod vertex_array;
mod view;
